Pricing Dataset Values

This route provides access to Pricing Dataset Values, which represent prices from specific datasets. It also provides a gateway to manage historical prices by using GLOBAL as the :sourceId.

The Pricing Dataset Values API allows you to read, create, update, and delete individual prices within a pricing dataset. Use GLOBAL as the source ID to operate on historical prices.

Base route/v1/pricing_datasets/:sourceId/prices
EndpointsGET /v1/pricing_datasets/:sourceId/prices/:nodeId
POST /v1/pricing_datasets/:sourceId/prices/:nodeId
DELETE /v1/pricing_datasets/:sourceId/prices/:nodeId/:date
DELETE /v1/pricing_datasets/:sourceId/prices
ProducesJSON
PaginationNo
Application permissions required"API Access: Create, edit, and delete"
OAuth scopesPRICING_DATASETS_READ (GET), PRICING_DATASETS_WRITE (POST, DELETE)

🔒 Access requirements

"API Access: Create, edit, and delete" application permission is required. Use PRICING_DATASETS_READ for GET and PRICING_DATASETS_WRITE for POST and DELETE operations.

Resource overview

AttributeDescription
dateThe date of the price. String. Format: YYYY-MM-DD. Example: "2024-05-20"
valueThe price value. Number. Example: 150.75
commentAn optional comment for the price. String. Example: "Optional comment"
price_factorThe price factor. Number. Example: 1.0

Get pricing dataset values

Retrieves all prices for a specific entity (node) within a given pricing dataset.

GET /v1/pricing_datasets/:sourceId/prices/:nodeId

🔑 Authentication

All requests require a base64-encoded API key pair:

Authorization: Basic {base64(key_id:key_secret)}

See Access & Authentication for setup.

Path parameters:

ParameterDescription
sourceIdThe ID of the pricing dataset, or GLOBAL to retrieve historical prices
nodeIdThe ID of the entity for which to retrieve prices
curl -X GET "https://{firm}.addepar.com/api/v1/pricing_datasets/456/prices/123" \
  -H "Authorization: Basic {credentials}" \
  -H "Addepar-Firm: 1" \
  -H "Accept: application/vnd.api+json"
HTTP/1.1 200

{
  "data": [
    {
      "id": null,
      "type": "pricing_dataset_values",
      "attributes": {
        "date": "2024-05-20",
        "value": 150.75,
        "comment": "Optional comment",
        "price_factor": 1.0
      },
      "relationships": {
        "node": {
          "data": {
            "id": "123",
            "type": "entities"
          }
        },
        "pricing_dataset": {
          "data": {
            "id": "456",
            "type": "pricing_datasets"
          }
        }
      }
    }
  ],
  "included": [],
  "links": {}
}

Response codes:

  • 200 OK -- Success
  • 403 Forbidden -- Lacking the necessary permissions to read prices
  • 404 Not Found -- Nonexistent or non-permissioned dataset ID or node ID. For non-GLOBAL datasets, also returned if no prices exist for the given dataset and node

Create or update pricing dataset values

Creates or updates prices for the given entity and pricing dataset. This operation is asynchronous and returns a job ID.

For GLOBAL source, the async job ID is returned as async_historical_price_save_id. For other datasets, it is returned as async_source_price_save_id.

POST /v1/pricing_datasets/:sourceId/prices/:nodeId

Path parameters:

ParameterDescription
sourceIdThe ID of the pricing dataset, or GLOBAL to update historical prices
nodeIdThe ID of the entity to which the prices belong. All prices in the payload must share this nodeId
curl -X POST "https://{firm}.addepar.com/api/v1/pricing_datasets/456/prices/123" \
  -H "Authorization: Basic {credentials}" \
  -H "Addepar-Firm: 1" \
  -H "Content-Type: application/vnd.api+json" \
  -H "Accept: application/vnd.api+json" \
  -d '{
    "data": [
      {
        "type": "pricing_dataset_values",
        "attributes": {
          "date": "2024-05-20",
          "value": 150.75,
          "comment": "Optional comment",
          "price_factor": 1.0
        },
        "relationships": {
          "node": {
            "data": {
              "id": "123",
              "type": "entities"
            }
          },
          "pricing_dataset": {
            "data": {
              "id": "456",
              "type": "pricing_datasets"
            }
          }
        }
      }
    ]
  }'
HTTP/1.1 200

{
  "async_source_price_save_id": 25
}

Response codes:

  • 200 OK -- Success
  • 400 Bad Request -- Invalid payload, nodeId mismatch, pricing_dataset relationship mismatch, or exceeding the price limit
  • 403 Forbidden -- Lacking the required permissions to write prices
  • 404 Not Found -- Nonexistent or non-permissioned dataset ID or node ID

Delete a pricing dataset value

Deletes a single price identified by its dataset, entity (node), and date. This operation is asynchronous and returns a job ID.

For GLOBAL source, the async job ID is returned as async_historical_price_delete_id. For other datasets, it is returned as async_source_price_delete_id.

DELETE /v1/pricing_datasets/:sourceId/prices/:nodeId/:date

Path parameters:

ParameterDescription
sourceIdThe ID of the pricing dataset, or GLOBAL to delete a historical price
nodeIdThe ID of the entity
dateThe date of the price to delete. Format: YYYY-MM-DD
curl -X DELETE "https://{firm}.addepar.com/api/v1/pricing_datasets/456/prices/123/2024-05-20" \
  -H "Authorization: Basic {credentials}" \
  -H "Addepar-Firm: 1"
HTTP/1.1 200

{
  "async_source_price_delete_id": 26
}

Response codes:

  • 200 OK -- Successfully submitted the async job to delete the price
  • 403 Forbidden -- Lacking the required permissions to write prices
  • 404 Not Found -- Nonexistent or non-permissioned dataset ID or node ID. For GLOBAL source, also returned if no price exists for the given entity and date

Delete all prices for a dataset

Deletes all prices associated with a specific pricing dataset. This operation is asynchronous and returns a job ID. This endpoint cannot be used for the GLOBAL source.

DELETE /v1/pricing_datasets/:sourceId/prices

curl -X DELETE "https://{firm}.addepar.com/api/v1/pricing_datasets/456/prices" \
  -H "Authorization: Basic {credentials}" \
  -H "Addepar-Firm: 1"
HTTP/1.1 200

{
  "async_price_delete_all_id": 27
}

Response codes:

  • 200 OK -- Successfully submitted the async job to delete all prices
  • 400 Bad Request -- Attempting to use this endpoint with the GLOBAL source
  • 403 Forbidden -- Lacking the required permissions to write prices
  • 404 Not Found -- Nonexistent or non-permissioned dataset ID

📘 Related resources

Pricing Datasets | Historical Prices | Jobs


Did this page help you?